# H245_MultiplexFormat Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_h222Capability, e_h223Capability }

## Public Member Functions

| H245_MultiplexFormat (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
| operator H245_H222Capability & ()
| operator const H245_H222Capability & () const
| operator H245_H223Capability & ()
| operator const H245_H223Capability & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_MultiplexFormat::Choices

Enumerator:

  e_nonStandard |
  e_h222Capability |
  e_h223Capability |

## Constructor & Destructor Documentation

H245_MultiplexFormat::H245_MultiplexFormat | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_MultiplexFormat::operator H245_NonStandardParameter & | ( |  | ) |

H245_MultiplexFormat::operator const H245_NonStandardParameter & | ( |  | ) | const

H245_MultiplexFormat::operator H245_H222Capability & | ( |  | ) |

H245_MultiplexFormat::operator const H245_H222Capability & | ( |  | ) | const

H245_MultiplexFormat::operator H245_H223Capability & | ( |  | ) |

H245_MultiplexFormat::operator const H245_H223Capability & | ( |  | ) | const

PBoolean H245_MultiplexFormat::CreateObject | ( |  | ) |

PObject* H245_MultiplexFormat::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h